<? session_start();
//RESTRICCI�N DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL)
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$accion=$_REQUEST["accion"];
$cedula=($_REQUEST["cedula"]==''?$_POST["cedula"]:$_REQUEST["cedula"]);
$curso=$_REQUEST["curso"];
$consulta=mysqli_query($enlace, "select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per='';
menu();
echo '<script language="JavaScript" type="text/javascript" src="ajax.js"></script>';
set_time_limit(3000);

///////////////////////////////////////////////// ELIMINAR LIQUIDACION ////////////////////////////////////////////////////////////////
if ($accion==2) {
		$consulta="delete from liquidaciones where id='".$_SESSION['id_validar']."' and cedula= '".$cedula."' ";
		$resultado = mysqli_query($enlace, $consulta) or die($consulta . mysqli_error($enlace));
}

//============ datos de empresa
$consulta=mysqli_query($enlace, "select * from empresa where id='".$_SESSION['id_validar']."' ");
$row=mysqli_fetch_array($consulta);
$con01=$row['constante01'];
$con02=$row['constante02'];
$con03=$row['constante03'];
$con04=$row['constante04'];
$icomi=$row['comision'];
$valor_actual_cestatic=$row['ticket'];
$duti_empresa=$row['duti'];
$dbon_empresa=$row['dbon'];

/////////////////////////////////////////////////GRABAR DATOS INICIALES ////////////////////////////////////////////////////////////////
if ( $_POST['grabar']==1){
	//if ($_POST['egreso']=='') $mensaje = "Debe ingresar una Fecha de Egreso Valido.....";

		$fec1 = crear_fecha( unir_fecha(fecha_mysql($_POST['fechai'])) );
		$fec2 = crear_fecha( unir_fecha(fecha_mysql($_POST['fechae'])) );
		$fec3 = crear_fecha($_POST['fecha_pago']); //Fecha de pago
		if ($_POST['semana']=='') {
			$dias=$_POST['dias'];
			if ($dias>1 && $dias<=7) $semana=1;
			if ($dias>7) $semana=2;
		} else $semana=$_POST['semana'];
		if ($_POST['ncon1']=='') $_POST['ncon1']=0;
		if ($_POST['ncon2']=='') $_POST['ncon2']=0;
	///////////////// calculo dias de vacaciones
	$consultaxx=mysqli_query($enlace, "select * from empresa where id='".$_SESSION['id_validar']."' ");
	$rowxx=mysqli_fetch_array($consultaxx);

		//=======Dias vacaciones vencidas a pagar
	$dvac=$rowxx['dvac'];
	$dbon=$rowxx['dbon'];

	//echo "dvac: ".$dvac;
	//echo "dbon: ".$dbon;

		$a=mostrar_antiguedad(1,$fec1,$fec2);
		$diasvac = $dvac + ($a-1<=0?0:$a-1);
		$diasbon = $dbon + ($a-1<=0?0:$a-1);

	$dias_vac_venc = $_POST['total_dias_vac_pend'];
	$valor_vaca_venc = $dias_vac_venc*$_POST['salario_liquid_diario'];
	
	$dias_bonovac_venc = $_POST['total_dias_bonovac_pend'];
	$valor_bonovac_venc = $dias_bonovac_venc*$_POST['salario_liquid_diario'];
	
	$valor_bonopostvac = $_POST['vacpend']*15*$_POST['salario_liquid_diario'];
	
	$valor_dias_descvac =  $_POST['vacpend']*6*$_POST['salario_liquid_diario'];

	//=====================================

				//=======Dias vacaciones fraccionadas a pagar
	$b=mostrar_antiguedad(1,$fec1,$fec2);
	$mesvacacion = mostrar_antiguedad(2,$fec1,$fec2);
	$diasVac = $dvac + ($b<=0?0:$b);
	$diasBon = $dbon + ($b<=0?0:$b);
	$diasVacFracc = number_format($diasVac/12*$mesvacacion,2);
	$diasBonFracc = number_format($diasBon/12*$mesvacacion,2);

	$valor_dias_vac_fraccion = $diasVacFracc*$_POST['salario_liquid_diario'];
	$valor_bonovac_fraccion = $diasBonFracc*$_POST['salario_liquid_diario'];

	//=========Dias a pagar
	$valorDiasPagar = $_POST['dias']*$_POST['salario_liquid_diario'];

	////Calculo de Utilidades a Pagar

	$devengado_utilidades = $_POST['devengado_ano'] + $valor_dias_vac_fraccion + $valor_bonovac_fraccion + $valor_vaca_venc + $valor_bonovac_venc + $valor_bonopostvac + $valor_dias_descvac + $valorDiasPagar ;

	$utilidades_pagar = $devengado_utilidades * 0.33333333 ;

	///Calculo de Prestaciones a PAGAR
	$dias_prestac_pagar = $_POST['prestac_liter_a'] + $_POST['prestac_liter_b'];
	$valor_prestac_pagar = $_POST['monto_prestac_liter_a'] + $_POST['monto_prestac_liter_b'] ;

	////Calculo los días Adicionales del Ultimo trimestre
	$monto_ult_trim = $_POST['dias_ult_trim'] * $_POST['salario_integral'];

	$total_valor_prestac_pagar = $valor_prestac_pagar + $monto_ult_trim;


	$monto_metodo_c = $_POST['dias_metodoc'] * $_POST['salario_integral'];



	///Comparando metodos a,b Vs c
	$monto_prestac_pagar = ($monto_metodo_c > $total_valor_prestac_pagar?$monto_metodo_c:$total_valor_prestac_pagar);

	///Si es indemnizada
	if ($_POST['tipoe']==1 || $_POST['tipoe']==4 || $_POST['tipoe']==5){
		$indemnizo = $monto_prestac_pagar;
	}else $indemnizo = 0;

	//========= Retenciones
	//$porcentajeFaov=0.01;
	//$faov = (($_POST['dias']/30*$_POST['smes'])+$_POST['valordutipagar']+$valor_dias_vac_fraccion+$valor_bonovac_fraccion)*$porcentajeFaov;
	$islr = $_POST['islr'];
	$devengado_islr = 	$utilidades_pagar + $valor_dias_vac_fraccion + $valor_bonovac_fraccion + $valor_vaca_venc + $valor_bonovac_venc + $valor_bonopostvac + $valor_dias_descvac ;
	$retenislr =$devengado_islr*$islr/100;

	$sso = $_POST['sueldo_mes']*12/52*0.04*$_POST['semana'];
	$rpe = $_POST['sueldo_mes']*12/52*0.005*$_POST['semana'];

	$inces = $utilidades_pagar*0.005;

	//Cestaticket a pagar
	$valorDiaCestatic = $_POST['valor_dia_cestatic']*$_POST['diast'];

	//Dias pagados a descontar
	$valor_dpnlabor = $_POST['dpnl']/30*$_POST['sueldo_mes'];


	//================================================
		$consultax="select * from liquidaciones where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ";
		$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		if (mysqli_num_rows($resultadox)==0) {

			//Traigo los nombres y apellidos para insertarlos en la tabla "Liquidacion"


			$consulta_nombres="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
			$resultado_nombres = mysqli_query($enlace,$consulta_nombres) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$row=mysqli_fetch_array($resultado_nombres);
			$nombres=$row['nombres'];
			$nombres1=$row['nombres1'];
			$apellidos=$row['apellidos'];
			$apellidos1=$row['apellidos1'];
			$fechaIngreso = $row['fechai'];
			$fechaRetiro = $row['fechae'];
			$tipoSalario = $row['sector'];

			$consultax="insert into liquidaciones (
			id,
			cedula,
			nombres,
			nombres1,
			apellidos,
			apellidos1,
			fechai,
			fecha_retiro,
			fecha_pago,
			tipoe,
			tipo_salario,
			sueldo_liq,
			salar_integral,
			dias,
			valor_dias_pagar,
			diast,
			valor_dia_cestatic,
			valor_ct_total,
			vacacion,
			dias_vac_venc,
			valor_vaca_venc,
			dias_bonovac_venc,
			valor_bonovac_venc,
			dias_bono_postvaca,
			bono_post_vaca,
			dias_descans_vacac,
			valor_dias_desc_vacac,
			dias_vac_fraccion,
			valor_dias_vac_fraccion,
			dias_bonovac_fraccion,
			valor_bonovac_fraccion,
			ccon01,
			ncon01,
			dias_util_pagar,
			valor_utilid_pagar,
			dias_prestac_garant,
			valor_prestaciones_gant,
			dias_prest_adic,
			valor_prestac_adic,
			dias_metodo_c,
			valor_metodo_c,
			prestaciones_pagar,
			valor_indem,
			intereses_prestac,
			semana,
			valor_sso,
			valor_rpe,
			faov,
			islr,
			valor_islr,
			dpnl,
			valor_dpnlabor,
			inces,
			fideicomiso,
			anticipo_prestac,
			saldo_prestamo,
			adeuti,
			adevac,
			ccon02,
			ncon02,
			icon,
			estado_liquidacion)";

			$consultax .="values ('".$_SESSION['id_validar']."',
			'".$cedula."',
			'".$nombres."',
			'".$nombres1."',
			'".$apellidos."',
			'".$apellidos1."',
			'".$fechaIngreso."',
			'".$fechaRetiro."',
			'".$fec3."',
			'".$_POST['tipoe']."',
			'".$tipoSalario."',
			'".$_POST['salario_liquid']."',
			'".$_POST['salario_integral']."',
			'".$_POST['dias']."',
			'".$valorDiasPagar."',
			'".$_POST['diast']."',
			'".$_POST['valor_dia_cestatic']."',
			'".$valorDiaCestatic."',
			'".$_POST['vacpend']."',
			'".$_POST['total_dias_vac_pend']."',
			'".($_POST['total_dias_vac_pend']*$_POST['salario_liquid_diario'])."',
			'".$_POST['total_dias_bonovac_pend']."',
			'".($_POST['total_dias_bonovac_pend']*$_POST['salario_liquid_diario'])."',
			'".($_POST['vacpend']*15)."',
			'".($_POST['vacpend']*15*$_POST['salario_liquid_diario'])."',
			'".($_POST['vacpend']*6)."',
			'".($_POST['vacpend']*6*$_POST['salario_liquid_diario'])."',
			'".number_format($diasVacFracc,2,'.','')."',
			'".$valor_dias_vac_fraccion."','".$diasBonFracc."','".$valor_bonovac_fraccion."','".$_POST['ccon01']."','".$_POST['ncon01']."','".$_POST['dias_utilpend']."','".$utilidades_pagar."','".$dias_prestac_pagar."','".$valor_prestac_pagar."',	'".$_POST['dias_ult_trim']."','".$monto_ult_trim."',

			'".$_POST['dias_metodoc']."',
			'".$monto_metodo_c."','".$monto_prestac_pagar."','".$indemnizo."','".$_POST['interes_prestac']."',
			'".$semana."','".$sso."','".$rpe."','".$faov."','".$islr."','".$retenislr."','".$_POST['dpnl']."','".$valor_dpnlabor."','".$inces."','".$_POST['fideicomiso']."','".$_POST['adel_prestac']."',
			'".$_POST['prestamo']."',
			'".$_POST['adeuti']."','".$_POST['adevac']."','".$_POST['ccon02']."','".$_POST['ncon02']."','".$_POST['icon']."','procesado') ";
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

			///// Busco los valores insertados para totalizar Asignaciones y Deducciones

			$consulta_totales="select * from liquidaciones where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
			$resultado_totales = mysqli_query($enlace,$consulta_totales) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$rowT=mysqli_fetch_array($resultado_totales);
			////Asignaciones
			$valor_dias_pagar=$rowT['valor_dias_pagar'];
			$valor_ct_total=$rowT['valor_ct_total'];
			$valor_vaca_venc=$rowT['valor_vaca_venc'];
			$valor_bonovac_venc=$rowT['valor_bonovac_venc'];
			$bono_post_vaca=$rowT['bono_post_vaca'];
			$valor_dias_desc_vacac=$rowT['valor_dias_desc_vacac'];
			$valor_dias_vac_fraccion=$rowT['valor_dias_vac_fraccion'];
			$valor_bonovac_fraccion=$rowT['valor_bonovac_fraccion'];
			$ncon01=$rowT['ncon01'];
			$valor_utilid_pagar=$rowT['valor_utilid_pagar'];
			$prestaciones_pagar=$rowT['prestaciones_pagar'];
			$valor_indem=$rowT['valor_indem'];
			$intereses_prestac=$rowT['intereses_prestac'];
			///totalizo Asignaciones
			$totalAsig = $valor_dias_pagar + $valor_ct_total + $valor_vaca_venc + $valor_bonovac_venc + $bono_post_vaca + $valor_dias_desc_vacac + $valor_dias_vac_fraccion + $valor_bonovac_fraccion + $ncon01 + $valor_utilid_pagar + $prestaciones_pagar + $valor_indem + $intereses_prestac ;

			///Deducciones
			$valor_sso=$rowT['valor_sso'];
			$valor_rpe=$rowT['valor_rpe'];
			$faov=$rowT['faov'];
			$valor_islr=$rowT['valor_islr'];
			$valor_dpnlabor=$rowT['valor_dpnlabor'];
			$inces=$rowT['inces'];
			$fideicomiso=$rowT['fideicomiso'];
			$anticipo_prestac=$rowT['anticipo_prestac'];
			$saldo_prestamo=$rowT['saldo_prestamo'];
			$adeuti=$rowT['adeuti'];
			$adevac=$rowT['adevac'];
			$ncon02=$rowT['ncon02'];
			////Totalizo Deducciones
			$totalDeduc = $valor_sso + $valor_rpe + $faov + $valor_islr + $valor_dpnlabor + $inces + $fideicomiso + $anticipo_prestac +	$saldo_prestamo + $adeuti + $adevac + $ncon02 ;
			///Neto a PAGAR
			$neto_pago = $totalAsig - $totalDeduc ;

			//echo "<H1>Total ASINACIONES: ".$totalAsig."</H1>";
			//echo "<H1>Total DEDUCCIONES: ".$totalDeduc."</H1>";

			$consultaY="UPDATE liquidaciones SET	total_asig='".$totalAsig."',	total_deduccion='".$totalDeduc."', neto_pagar_liq='".$neto_pago."' WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
			$resultadoY = mysqli_query($enlace,$consultaY) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));


			////Aqui comienza cuando la liqudiación ya esxiste
			/////Revisar el UPDATE porque no está guardando todos los valores
		} else {
			$consultax="update liquidaciones set
			fechai='".$fec1."',
			fecha_retiro='".$fec2."',
			fecha_pago='".$fec3."',
			tipoe='".$_POST['tipoe']."',
			tipo_salario='".$_POST['sector']."',
			sueldo_liq='".$_POST['salario_liquid']."',
			salar_integral='".$_POST['salario_integral']."',
			dias='".$_POST['dias']."',
			valor_dias_pagar='".$valorDiasPagar."', diast='".$_POST['diast']."', valor_dia_cestatic='".$_POST['valor_dia_cestatic']."',  valor_ct_total='".$valorDiaCestatic."',
			vacacion='".$_POST['vacpend']."',
			dias_vac_venc='".$_POST['total_dias_vac_pend']."', 
			valor_vaca_venc='".($_POST['total_dias_vac_pend']*$_POST['salario_liquid_diario'])."',
			dias_bonovac_venc='".$_POST['total_dias_bonovac_pend']."',
			valor_bonovac_venc='".($_POST['total_dias_bonovac_pend']*$_POST['salario_liquid_diario'])."',
			dias_bono_postvaca='".($_POST['vacpend']*15)."',
			bono_post_vaca='".($_POST['vacpend']*15*$_POST['salario_liquid_diario'])."',
			dias_descans_vacac='".($_POST['vacpend']*6)."',
			valor_dias_desc_vacac='".($_POST['vacpend']*6*$_POST['salario_liquid_diario'])."',
			dias_vac_fraccion='".number_format($diasVacFracc,2)."',
			valor_dias_vac_fraccion='".$valor_dias_vac_fraccion."', dias_bonovac_fraccion='".$diasBonFracc."',
			valor_bonovac_fraccion='".$valor_bonovac_fraccion."',
			ccon01='".$_POST['ccon01']."',
			ncon01='".$_POST['ncon01']."',
			dias_util_pagar='".$_POST['dias_utilpend']."',
			valor_utilid_pagar='".$utilidades_pagar."',
			dias_prestac_garant='".($_POST['prestac_liter_a'] + $_POST['prestac_liter_b'])."',
			valor_prestaciones_gant='".($_POST['monto_prestac_liter_a'] + $_POST['monto_prestac_liter_b'])."',
			dias_prest_adic='".$_POST['dias_ult_trim']."',
			valor_prestac_adic='".$monto_ult_trim."',
			dias_metodo_c='".$_POST['dias_metodoc']."',
			valor_metodo_c='".$monto_metodo_c."',
			prestaciones_pagar='".$monto_prestac_pagar."',
			valor_indem='".$indemnizo."',
			intereses_prestac='".$_POST['interes_prestac']."',
			semana='".$semana."',
			valor_sso='".$sso."',
			valor_rpe='".$rpe."',
			faov='".$faov."',
			islr='".$islr."',
			valor_islr='".$retenislr."',
			dpnl='".$_POST['dpnl']."',
			valor_dpnlabor='".$valor_dpnlabor."',
			inces='".$inces."',
			fideicomiso='".$_POST['fideicomiso']."',
			anticipo_prestac='".$_POST['adel_prestac']."',
			saldo_prestamo='".$_POST['prestamo']."',
			adeuti='".$_POST['adeuti']."',
			adevac='".$_POST['adevac']."',
			ccon02='".$_POST['ccon02']."',
			ncon02='".$_POST['ncon02']."',
			icon='".$_POST['icon']."',
			estado_liquidacion='".$_POST['status_liquid']."'

			 WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."'  ";
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

			///// Busco los valores insertados para totalizar Asignaciones y Deducciones

			$consulta_totales="select * from liquidaciones where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
			$resultado_totales = mysqli_query($enlace,$consulta_totales) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$rowT=mysqli_fetch_array($resultado_totales);
			////Asignaciones
			$valor_dias_pagar=$rowT['valor_dias_pagar'];
			$valor_ct_total=$rowT['valor_ct_total'];
			$valor_vaca_venc=$rowT['valor_vaca_venc'];
			$valor_bonovac_venc=$rowT['valor_bonovac_venc'];
			$bono_post_vaca=$rowT['bono_post_vaca'];
			$valor_dias_desc_vacac=$rowT['valor_dias_desc_vacac'];
			$valor_dias_vac_fraccion=$rowT['valor_dias_vac_fraccion'];
			$valor_bonovac_fraccion=$rowT['valor_bonovac_fraccion'];
			$ncon01=$rowT['ncon01'];
			$valor_utilid_pagar=$rowT['valor_utilid_pagar'];
			$prestaciones_pagar=$rowT['prestaciones_pagar'];
			$valor_indem=$rowT['valor_indem'];
			$intereses_prestac=$rowT['intereses_prestac'];
			///totalizo Asignaciones
			$totalAsig = $valor_dias_pagar + $valor_ct_total + $valor_vaca_venc + $valor_bonovac_venc + $bono_post_vaca + $valor_dias_desc_vacac + $valor_dias_vac_fraccion + $valor_bonovac_fraccion + $ncon01 + $valor_utilid_pagar + $prestaciones_pagar + $valor_indem + $intereses_prestac ;

			///Deducciones
			$valor_sso=$rowT['valor_sso'];
			$valor_rpe=$rowT['valor_rpe'];
			$faov=$rowT['faov'];
			$valor_islr=$rowT['valor_islr'];
			$valor_dpnlabor=$rowT['valor_dpnlabor'];
			$inces=$rowT['inces'];
			$fideicomiso=$rowT['fideicomiso'];
			$anticipo_prestac=$rowT['anticipo_prestac'];
			$saldo_prestamo=$rowT['saldo_prestamo'];
			$adeuti=$rowT['adeuti'];
			$adevac=$rowT['adevac'];
			$ncon02=$rowT['ncon02'];
			////Totalizo Deducciones
			$totalDeduc = $valor_sso + $valor_rpe + $faov + $valor_islr + $valor_dpnlabor + $inces + $fideicomiso + $anticipo_prestac +	$saldo_prestamo + $adeuti + $adevac + $ncon02 ;
			///Neto a PAGAR
			$neto_pago = $totalAsig - $totalDeduc ;

			//echo "<H1>Total ASINACIONES: ".$totalAsig."</H1>";
			//echo "<H1>Total DEDUCCIONES: ".$totalDeduc."</H1>";

			$consultaY="UPDATE liquidaciones SET	total_asig='".$totalAsig."',	total_deduccion='".$totalDeduc."', neto_pagar_liq='".$neto_pago."' WHERE id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
			$resultadoY = mysqli_query($enlace,$consultaY) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

		}

}

/////////////////////////////////////////////////MOSTRAR SOLICITUD DEL TRABAJADOR ////////////////////////////////////////////////////////////////
if ( (!$_POST && $accion!=1 && $_POST['grabar']!=1) || $_POST['busca']==1){
	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='img2/icono_01.png' alt='Seleccionar'>&nbsp;Seleccionar Trabajador";
	echo "<hr><h2>CÁLCULO DE LIQUIDACIONES DE POR RETIRO DE TRABAJADOR</h2>";

	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'busca' value = '1'>";
	echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
	echo "<tr>";
			echo "<td align=right> C&eacute;dula/Nombre/Apellido:</td>";
			echo "<td> <input name='cedula' size = '30' maxlength = '8'></td>";
	echo "</tr>";
	echo "<tr>";
		echo "<td align=right> Ordenado por:</td>";
		echo "<td colspan = 3>";
		echo "	<input type = 'radio' name = 'orden' value = 'ced' checked> cedula";
		echo "	<input type = 'radio' name = 'orden' value = 'nom'> nombre";
		echo "	<input type = 'radio' name = 'orden' value = 'ape'> apellido";
		echo "	<input type = 'radio' name = 'orden' value = 'fechae'> Fecha Egreso";
	echo "</tr>";
	echo "</table>";
	echo "	<script language='javascript' type='text/javascript'>";
	echo "		document.entrada.cedula.focus()";
	echo "	</script>";
	echo "<table border=0  align = 'center'><tr>";
	echo "<td><input type = 'submit' value = 'Buscar Registros'></td>";
	echo "</tr></table></form>";

	$query1 = "";
	if ($_POST['cedula'] != "") {
		$query1 = " and (codigo like '%".$_POST['cedula']."%' or p.nombres like '%".$_POST['cedula']."%' or p.apellidos like '%".$_POST['cedula']."%') ";
	}
	if ($_POST['orden'] == "fechae") $query2 = " order by fechae DESC";
	else if ($_POST['orden'] == "ced") $query2 = " order by codigo";
	else if ($_POST['orden'] == "ape") $query2 = " order by apellidos";
	else if ($_POST['orden'] == "nom") $query2 = " order by nombres";

	else $query2 = " order by fechae DESC";


	if ($_SESSION['modo_validar']==1)$consulta="select * from personal as p join liquidaciones as l on l.cedula=p.codigo where p.status='A' and p.id='".$_SESSION['id_validar']."' ".$query1.$query2;
	else $consulta="SELECT
   	p.codigo,
    p.nombres,
    p.nombres1,
    p.apellidos,
    p.apellidos1,
    p.clave,
    p.dir,
    p.telefono,
    p.sexo,
    p.hijo,
    p.gsanguineo,
    p.gerencia,
    p.empresa,
    p.cargo,
    p.unidad,
    p.nomina,
    p.turno,
    p.banco,
    p.fechan,
    p.fechai,
    p.fechae,
    p.fechac,
    p.cuenta,
    p.mensaje,
    p.sdia,
    p.smes,
    p.division,
    p.sector,
    p.estado,
    p.pago,
    p.parroquia,
    p.nacionalidad,
    p.municipio,
    p.area,
    p.edocivil,
    p.tipo,
    p.profesion,
    p.direccion,
    p.sso,
    p.status,
    p.fechalic,
    p.fechacar,
    p.fechasal,
    p.fechaman,
    p.pasaporte,
    p.pais,
    p.contrato,
    p.nrocontrato,
    p.id,
    p.justicontrato,
    l.estado_liquidacion
    from personal as p
    LEFT JOIN liquidaciones as l on l.cedula=p.codigo
    WHERE p.status='I' and p.id='".$_SESSION['id_validar']."' ".$query1.$query2;
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

	$num_rows = mysqli_num_rows($resultado);

	if ($num_rows != 0){
			echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center'>";
			echo "<tr bgcolor='#43bced' height='35'>";
			echo "<th align = center><font color='white'> Foto </font></th>";
			echo "<th align = left><font color='white'> C&eacute;dula </font></th>";
			echo "<th align = left><font color='white'> Nombres </font></th>";
			echo "<th align = left><font color='white'> Apellidos </font></th>";
			echo "<th align = center><font color='white'> Status </font></th>";
			echo "<th align = center><font color='white'> Fec. Ingreso </font></th>";
			echo "<th align = left><font color='white'> Fec. Retiro </font></th>";
			echo "<th align = center><font color='white'> Status Liquidac. </font></th>";

			echo "<th align = center><font color='white'> Acci&oacute;n </font></th>";

			for ($cont=0;$cont<$num_rows;$cont++) {
				$row = mysqli_fetch_array($resultado);
				$cedula = $row['codigo'];
				if ($color) {
					$tcolor="#dfdfd0";
					if (file_exists('fotos/'.$cedula.'.jpg')) $imagen='fotos/'.$cedula.'.jpg';
					else $imagen = 'img2/nohay2.jpg';
				} else {
					$tcolor="white";
					if (file_exists('fotos/'.$cedula.'.jpg')) $imagen='fotos/'.$cedula.'.jpg';
					else $imagen = 'img2/nohay.jpg';
				}
				echo '<tr bgcolor='.$tcolor.' >';
				echo "<td align'center'><img src='".$imagen."' height='64' width='64'></td>";
				echo "<td width='100'><a href='".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."'>".$row['codigo']."</a></td>";
				echo "<td width='250'>".trim($row['nombres'])." ".$row['nombres1']."</td>";
				echo "<td width='250'>".trim($row['apellidos'])." ".$row['apellidos1']."</td>";
				echo "<td width='50' align='center'>".($row['status']=='A'?'<img src="img2/status_ver.png">':'<img src="img2/status_fal.png">')."</td>";
				echo "<td width='120' align=center>".mostrar_fecha($row['fechai'])."</td>";
				echo "<td width='120' align=center>".mostrar_fecha($row['fechae'])."</td>";
				echo "<td width='80' align=center>";




			   	if (($row['estado_liquidacion']=="Procesado")||($row['estado_liquidacion']=="procesado"))
				{
				    $row['estado_liquidacion']="Procesado";
				    echo "<span style=\"background-color:blue; color:white;\">".stripslashes($row['estado_liquidacion'])."</span>";
				}
				elseif ($row['estado_liquidacion']=="aprobado")
				{
				    echo "<span style=\"background-color:blue; color:white;\">".stripslashes($row['estado_liquidacion'])."</span>";
				}
				elseif ($row['estado_liquidacion']=="pagado")
				{
				    echo "<span style=\"background-color:green; color:white;\">".stripslashes($row['estado_liquidacion'])."</span>";
				}
				else {
					$estado_liquidacion = "Sin Procesar";
				echo "<span style=\"background-color:red; color:white;\">".stripslashes($estado_liquidacion)."</span>";
				}
				echo "</td>";

				//echo "<td width='30' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."'><img border = 0 src='img2/icono_01.png' alt='Seleccionar Este registro'></a></td>";
				echo "<td width='30' align='center'><a href='#' onclick=\"window.open('".$_SERVER['PHP_SELF']."?accion=1&cedula=".$cedula."', '_self'); window.open('prestaciones_informe_imprimir.php?accion=2&cedula=".$cedula."', '_blank');\"><img border='0' src='img2/icono_01.png' alt='Seleccionar Este registro'></a></td>";

				echo '</tr>';
				$color=!$color;
			}
			echo '</table>';
	} else echo "<hr>";
	mysql_free_result($resultado);
}



///////////////////////////////////////////////// MOSTRAR DATA A INGRESAR ////////////////////////////////////////////////////////////////
if ($accion==1 || $accion==5 || $_POST['grabar']==1) {
	include ("calendario/calendario.php");




	//========================================= datos personales ========================================================///
	$consulta="select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' ";
	$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$row=mysqli_fetch_array($resultado);
		$nombres=$row['nombres'];
		$nombres1=$row['nombres1'];
		$apellidos=$row['apellidos'];
		$apellidos1=$row['apellidos1'];

		$fecha1=$row['fechai'];
		$fecha2=$row['fechae'];
		$sector=$row['sector'];
		$nominaTrabajador=$row['nomina'];
		$departamentoTrab = $row['departamento'];
		$cargoTrab = $row['cargo'];

	$concarNomin=mysqli_query($enlace,"select * from nomina where codigo='".$nominaTrabajador."' and id='".$_SESSION['id_validar']."' "  );
	while($rowNomin=mysqli_fetch_array($concarNomin))
		$nomina_trab=$rowNomin['detalle'];

	$concsulDpto=mysqli_query($enlace,"select detalle from tablas where codigo='".$departamentoTrab."' and id='".$_SESSION['id_validar']."' "  );
	while($rowNDpto=mysqli_fetch_array($concsulDpto))
			$deptoTrab=$rowNDpto['detalle'];

	$concsulCargo=mysqli_query($enlace,"select detalle from tablas where codigo='".$cargoTrab."' and id='".$_SESSION['id_validar']."' "  );
			while($rowCargo=mysqli_fetch_array($concsulCargo))
					$cargoTrab=$rowCargo['detalle'];

		///////Variables para VACACIONES
		////Busca vacaciones pagadas

		$consultaVacVenc="select MAX(antiguedad) AS antiguedad, nombresxx from vacacion where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
		$resultadoVacVenc = mysqli_query($enlace,$consultaVacVenc) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$rowV=mysqli_fetch_array($resultadoVacVenc);
		$vacacionesPagadas = $rowV['antiguedad'];
		$nombresenVac = $rowV['nombresxx'];

		///Busca variables para salario integral



		////Busca Prestaciones Aumuladas

		$consultaPesta="select SUM(dias_base) AS dias_base, SUM(monto_prestacion) AS monto_prestacion, SUM(dias_adicionales) AS dias_adicionales, SUM(monto_dias) AS monto_dias, SUM(anticipo) AS anticipo, SUM(monto_interes) AS monto_interes from prestaciones where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
		$resultadoPresta = mysqli_query($enlace,$consultaPesta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$rowP=mysqli_fetch_array($resultadoPresta);
		$diasPrestaA = $rowP['dias_base'];
		$montoPrestaA = $rowP['monto_prestacion'];
		$diasPrestaB = $rowP['dias_adicionales'];
		$montoPrestaB = $rowP['monto_dias'];
		$prestacAntic = $rowP['anticipo'];
		$interesesPresta = $rowP['monto_interes'];

		////Busca Anticipos de Prestaciones Pagados (en la tabla de [prestacion_adelanto] - Miguelangel 25/11/25)

		$consultaAntic="select SUM(monto) AS anticipos FROM prestacion_adelanto where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
		$resultadoAntic = mysqli_query($enlace, $consultaAntic) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$rowA=mysqli_fetch_array($resultadoAntic);
		$prestacAntic = $rowA['anticipos'];

		////Busco % de ISLR
		$consultaIslr="select monto from constante_individual where id='".$_SESSION['id_validar']."' and codigo='2300' and cedula='".$cedula."' and nomina='".$row['nomina']."'";
		$resultadoIslr = mysqli_query($enlace, $consultaIslr) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		if (mysqli_num_rows($resultadoIslr)!=0) {
			$rowIslr=mysqli_fetch_array($resultadoIslr);
			$porc_islr=$rowIslr['monto'];

		}

		////Busco Los valores para calculo de Alicuotas



		////calculo Vacaciones Vencidas

			//=============================== UTILIDADES
	//=============================== UTILIDADES
	$fechaInicioUtilidades=substr($fecha2,0,4).'-01-01';
	$fechaInicioUtilidades =($fecha1>$fechaInicioUtilidades?$fecha1:$fechaInicioUtilidades);

function days_360($fec1,$fec2,$europeo=true) {
  //try switch dates: min to max
  if( $fec1 > $fec2 ) {
    $temf = $fec1;
    $fec1 = $fec2;
    $fec2 = $temf;
  }

  // get day month year...
  list($yy1, $mm1, $dd1) = explode('-', $fec1);
  list($yy2, $mm2, $dd2) = explode('-', $fec2);

  if( $dd1==31) { $dd1 = 30; }

  //checks according standars: 30E/360 or 30/360.
  if(!$europeo) {
    if( ($dd1==30) and ($dd2==31) ) {
      $dd2=30;
    } else {
      if( $dd2==31 ) {
        $dd2=30;
      }
    }
  }

  //check for invalid date
  if( ($dd1<1) or ($dd2<1) or ($dd1>30) or ($dd2>31) or
      ($mm1<1) or ($mm2<1) or ($mm1>12) or ($mm2>12) or
      ($yy1>$yy2) ) {
    return(-1);
  }
  if( ($yy1==$yy2) and ($mm1>$mm2) ) { return(-1); }
  if( ($yy1==$yy2) and ($mm1==$mm2) and ($dd1>$dd2) ) { return(-1); }

  //Calc
  $yy = $yy2-$yy1;
  $mm = $mm2-$mm1;
  $dd = $dd2-$dd1;

  return( ($yy*360)+($mm*30)+$dd );
}
//////////////
	$fec1 = $fechaInicioUtilidades;
	$fec2 = $fecha2;
	$DiasUtilidad  = days_360($fec1,$fec2)+1;


	$dias_util_pagar = $duti_empresa/360*$DiasUtilidad;
	$dias_util_pagar = round($dias_util_pagar,2);

	/* ////////////Valores que estaba imprimiendo para verificar los cálculos
	//Se puede eliminar lo comentado, se imprimi� para hacer pruebas de verificacion-Miguelangel
	echo "HOY ES: ".$fechaInicioUtilidades;
	echo "</br>fecha2: ".$fecha2;
	echo "</br>DiasAntigUtilidad: ".$DiasUtilidad;
	echo "<br>";

	echo "Fecha de ingreso: ".$fecha1;
	echo "<br>";
	echo "Fecha de Retiro: ".$fecha2;
	echo "<br>";
	echo "fechaInicioUtilidades: ".$fechaInicioUtilidades;
	echo "<br>";
	echo "mesutilidad: ".$mesutilidad;
	echo "<br>";
	echo "Dias Utildiades que paga la empresa: ".$duti_empresa;
	echo "<br>";
	echo "DiasUtilidad: ".$dias_util_pagar;
	echo "<br>";
	echo "Dias Bono Vacacional de la empresa: ".$dbon_empresa;
	echo "<br>";
	echo "PERIODOS Vacaciones pagados: ".$vacacionesPagadas;
	echo "<br>";
	echo "Nombre en vaca: ".$nombresenVac;
	echo "<br>";
	echo "dias Prestaciones Lit a: ".$diasPrestaA;
	echo "<br>";
	echo "monto Prestaciones Lit a: ".$montoPrestaA;
	echo "<br>";
	echo "dias Prestaciones Lit b: ".$diasPrestaB;
	echo "<br>";
	echo "monto Prestaciones Lit b: ".$montoPrestaB;
	echo "<br>";
	echo "% Islr: ".$porc_islr;
	echo "<br>";
	echo "Devengado_ano: ".$devengado_ano;
	*/



	//====================== buscar tipo de nomina
	$tipo=1;$multiplo=0;
	$consulta1="select tipo from nomina where id='".$_SESSION['id_validar']."' and codigo='".$row['nomina']."'";
	$resultado1 = mysqli_query($enlace, $consulta1) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	while ($row1 = mysqli_fetch_array($resultado1)) $tipo=$row1['tipo'];
	if ($tipo==1) $multiplo=4;
		else if ($tipo==2) $multiplo=2;
			else $multiplo=6;
	if ($icomi==1) $multiplo=$multiplo/2;

	//====================== buscar monto constante
	$mon01=0;$mon02=0;$mon03=0;$mon04=0;
	if ($con01!='') {
		$consultax="select monto from constante_individual where id='".$_SESSION['id_validar']."' and codigo='".$con01."' and cedula='".$cedula."' and nomina='".$row['nomina']."'";
		$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		if (mysqli_num_rows($resultadox)!=0) {
			$rowx=mysqli_fetch_array($resultadox);
			if ($tipo==1) $mon01=$rowx['monto']/7*30;
			else if ($tipo==2) $mon01=$rowx['monto']*2;
				else $mon01=$rowx['monto'];
		}
	}
	if ($con02!='') {
		$consultax="select monto from constante_individual where id='".$_SESSION['id_validar']."' and codigo='".$con02."' and cedula='".$cedula."' and nomina='".$row['nomina']."'";
		$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		if (mysqli_num_rows($resultadox)!=0) {
			$rowx=mysqli_fetch_array($resultadox);
			if ($tipo==1) $mon02=$rowx['monto']/7*30;
			else if ($tipo==2) $mon02=$rowx['monto']*2;
				else $mon02=$rowx['monto'];
		}
	}

	//====================== buscar monto conceptos
	//if ($con03!='') {
			//$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and concepto='".$con03."' and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
			/*$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and (substring(concepto,1,3)='109' OR substring(concepto,1,1)='7') and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
			$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and (substring(concepto,1,2) like '10%' OR substring(concepto,1,1)='7') and cedula='".$cedula."' and nomina='".$row['nomina']."' order by xxx desc limit ".$multiplo;
			$consultax="select sum(monto) as monto from historico where id='".$_SESSION['id_validar']."' and ((concepto between '1005' and '1999') OR substring(concepto,1,1)='7') and cedula='".$cedula."' and nomina='".$row['nomina']."' group by periodo order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
				//echo $rowx['monto']."</br>";
			}

			if ($cpaty>0) {
				if ($cpaty==1) {
					$mon03=$mpaty;
				} else {
					$mon03= $mpaty / $cpaty;
				}
			}*/


			//// calcula el promedio de salario de los ultimos 3 meses


			$consultax="select round(avg(monto),2) as monto from  (select sum(sueldo) as monto from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec<'".substr($row['fechae'], 0, -2)."01' group by fec order by fec desc limit ".$multiplo.") as prueba";
			//echo $consultax;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			if ($rowx=mysqli_fetch_array($resultadox)) {
				$mon03 =$rowx['monto'];

				if ($tipo==1)
					{
					$mon03 =round($mon03/7*30,2);
					}
				elseif ($tipo==2)
					{
					$mon03 = round($mon03/15*30,2);
					}


			}
			
			/////////Busca los apgos de utilidades realziados ese año
			$consultaUtilPago="select SUM(monto) AS monto from utilidades where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' and	fecha>='".$fechaInicioUtilidades."' AND fecha <= '".$fecha2."' AND concepto='8004' AND substr(fecha,1,7)!='2022-01' ";
		$resultadoUtiliPago = mysqli_query($enlace,$consultaUtilPago) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$rowUtip=mysqli_fetch_array($resultadoUtiliPago);
		$AdelantoUtilidad = $rowUtip['monto'];

			////BUsca el devengado del año para Utilidades
			$consultaDev="select SUM(sueldo) as sueldo from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec >= '".$fechaInicioUtilidades."' AND fec <= '".$fecha2."' ";
			//echo $consultaDev;
			$resultaDev = mysqli_query($enlace, $consultaDev) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));

			if ($rowDev=mysqli_fetch_array($resultaDev)) {
				$devengado_ano =$rowDev['sueldo'];
			}
				/////echo "Devengado_ano es este: ".$devengado_ano;
			///busca el ultimo salrio pagado en el mes anterior
			$consultax="select round(avg(monto),2) as monto from  (select sum(sueldo) as monto from personal_sueldo where id='".$_SESSION['id_validar']."' and codigo='".$cedula."' and fec<'".substr($row['fechae'], 0, -2)."01' group by fec order by fec desc limit 1) as prueba";
			//echo $consultax;
			$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			if ($rowx=mysqli_fetch_array($resultadox)) {
				$mon04 =$rowx['monto'];
			}

	//}

	/*
	if ($con04!='') {
			$consultax="select monto from historico where id='".$_SESSION['id_validar']."' and substring(concepto,1,".strlen($con04).")='".$con04."' and cedula='".$cedula."' and nomina='".$row['nomina']."' group by periodo order by xxx desc limit ".$multiplo;
			$resultadox = mysqli_query($enlace,$consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$mpaty=0; $cpaty=0;
			while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['monto'];
				$cpaty ++;
			}
			if ($cpaty>0) {
				$mon04= $mpaty / $cpaty;
			}
	}
	*/
	if($row['sector']='1000'&&$row['sector']!='') {
	$consultax="select SUM(monto) AS valor from historico where tipo='A' and id='".$_SESSION['id_validar']."' and  cedula='".$cedula."' and nomina='".$row['nomina']."' order by periodo desc limit ".$multiplo;
	$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	$mpaty=0; $cpaty=0;
	while ($rowx=mysqli_fetch_array($resultadox)) {
				$mpaty +=$rowx['valor'];
				$cpaty ++;
	  }
	 $mon04= 4444;
	 	$smes=$row['smes'];
	}
		///Defino el salario que se va a tomar para la liquidacion

	$sueldo_liq_antes=0;

	if($mon03<$row['smes'])
		{
		$sueldo_liq_antes=$row['smes'];
		}
	else
		$sueldo_liq_antes=$mon03;
	//$mon03<$row['smes']?$row['smes']:$mon03 se puede quitar

	$noentro=0;
	$consultax="select * from liquidaciones where id='".$_SESSION['id_validar']."' and cedula='".$cedula."' ";
	$resultadox = mysqli_query($enlace, $consultax) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	if (mysqli_num_rows($resultadox)!=0) {
		$rowx=mysqli_fetch_array($resultadox);
		$semana=0;
		$sueldo_liq = $rowx['sueldo_liq'];
		$valor_dia_cestatic = $rowx['valor_dia_cestatic'];
		$status_liq = $rowx['estado_liquidacion'];
	} else $noentro=1;

	//=================================================================================================///
	if ($noentro==0) {
		echo "<br><table border=0 cellpadding=0 cellspacing=0 width='700' align=center style='border-width: 0px; border-color: 75263C;border-style: solid;'>";
		?>
		<tr bgcolor='#43bced'>
			<td width='300' align=left><a target='_blank' style='color:black;text-decoration:none' href='prestaciones_calcular.php?cedula=<?echo $cedula;?>'>
				&nbsp;<img src='img2/calcular.png'>&nbsp;&nbsp;<font size=4>Mostrar Liquidaci&oacute;n</a></font></td>

			<td width='300' align=right><a target='_blank' style='color:black;text-decoration:none' href='prestaciones_imprimir.php?cedula=<?echo $cedula;?>'>
				<font size=4 >Imprimir Liquidaci&oacute;n&nbsp;<img src='img2/icono_02.png'>&nbsp;</a></font></td>
				<?
				if (substr($_SESSION['acceso_validar'],18,1)=='1')
				echo "<td width='100' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&cedula=".$cedula."'><img  border = 0  src='img2/icono_07.png'alt='eliminar �ste registro' ></a></td>";
				echo "<td width='30' align='center'><a target='_blank' href='txt_pago_liquidaciones.php?fechae=" .$row['fechae']. "&cedula=" . $cedula . "'><img border = 0 src='img2/icono-text.jpg' alt='Generar txt'></a></td>";

				?>
		</tr>
		<?
		echo "</table>";
	}

	if($noentro==0) /////////CONDICION PARA TRAER SALARIO CUANDO YA ESTA GUARDADO-Miguelangel
	{
		$sueldoLiq = $sueldo_liq."</td>";
	}
	else{
//////////////Condiciones para calcular el salario promedio si es Sarario VARIABLE o si es FIJO
if($row['sector']=='2000')
	{
	$sueldoLiq =  $sueldo_liq_antes;
	}
		elseif($row['sector']=='1000' & $mon04>=$row['smes'])
		{
			$sueldoLiq =  $mon04;
		}
			elseif($row['sector']=='1000' & $mon04<$row['smes'])
			{
				$sueldoLiq =  $row['smes'];
			}
			else
			{
				echo "<td  width = '200' align = 'left' ><font color=red> DEBE ASIGNAR UN TIPO DE SALARIO DESDE LA FICHA DEL TRABAJADOR PARA CALCULAR LA LIQUIDACION</font></td>";
			}
		}

		if($noentro==0) /////////CONDICION PARA TRAER EL VALOR DEL CESTATICKET CUANDO YA ESTA GUARDADO-Miguelangel
		{
			$valorDiarCesta = $valor_dia_cestatic;
		}
		else{
			$valorDiarCesta = $valor_actual_cestatic;
			}
		///Salario Integral
		$sueldoLiqDiario = $sueldoLiq/30;
		$alicBonoVac = 	$sueldoLiqDiario * $dbon_empresa/360;
		$alicUtilid = $sueldoLiqDiario * $duti_empresa/360;
		$salarInteg = 	number_format(($sueldoLiqDiario + 	$alicBonoVac + $alicUtilid),2,'.','');

	echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='".$_SERVER['PHP_SELF']."'>Regresar</a>";
	echo "&nbsp;&nbsp;<img border = 0 src='img2/icono_07.png' alt='Eliminar'>:Eliminar Liquidaci&oacute;n</a>";
	// echo "&nbsp;&nbsp;<a target='_blank' href='prestaciones_informe_imprimir.php?accion=".($noentro==0?1:2)."&cedula=".$cedula."'><img border = 0 src='img2/archivo.png' alt='Informe'>&nbsp;Informe de prestaciones Sociales</a>";

	/*
	echo "<hr><h1><font color=#DD0044>Por favor espere, estamos trabajando en este modulo para instalar actualizaciones. Disculpe las molestias </font></h1>";
	*/

	echo "<hr><h2><font color=#DD0044>C&aacute;lculo de Liquidaciones de por retiro de trabajador </font></h2>";

	echo "</br>";





	/*if (file_exists('fotos/'.$cedula.'.jpg')) $imagen='fotos/'.$cedula.'.jpg';
	else $imagen = 'img2/nohay2.jpg';
	echo "<center><img style='border-width: 1px; border-color: 75263C;border-style: solid;' src='".$imagen."' height='30' width='30'>&nbsp;<font color=black size=5>&nbsp;".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</font></center>";
	echo "<center> <font color=black size=4>C.I.: ".$cedula."</font></center>";

	echo "<center> <font color=black size=4>Estatus de liquidaci&oacute;n: ".$status_liq."</center>";
	*/




	echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data'>";
	echo "<input type = 'hidden' name = 'grabar' value = '1'>";
	echo "<input type = 'hidden' name = 'cedula' value = '".$cedula."'>";


	//COMIENZO DE TODA LA TABLA

		   ////////////columna 2


	 			echo "<table  border=0 align=center width='900' style='border-width: 1px; border-color: 75263C;border-style: solid;' ";

	 				echo "<tr>";
	 					echo "<td colspan=4><h2><center> DATOS DEL TRABAJADOR </center></h2></td>";
	 				echo "</tr>";

	 				echo "<tr>";
	 					echo "<td colspan=4 align=center> <font size=3> Estatus de liquidaci&oacute;n:<select name = 'status_liquid'>
						<option value='Sin Procesar' ".($status_liq==''?'selected':'').">Sin Procesar
						<option value='procesado' ".($status_liq=='procesado'?'selected':'').">procesado
						<option value='pagado' ".($status_liq=='pagado'?'selected':'').">pagado


	 					</select></td>";
	 					//echo "<font size=4><b>".($status_liq ==''?'Sin Procesar':$status_liq)."</td>";



	 				echo "</tr>";
	 				echo "</br>";

	 		  	echo "<tr>";
	 		  		echo "<td colspan=2 align=left><font size=3> Nombres y Apellidos del Trabajador: <b>".trim($row['nombres'])." ".trim($row['nombres1']).' '.trim($row['apellidos'])." ".trim($row['apellidos1'])."</td>";

	 					echo "<td colspan=2 align=left><font size=3> Cedula: <b>".$cedula."</td>";

	 		  	echo "</tr>";

	 				echo "<tr>";
	 					echo "<td align=left><font size=3> Nómina: <b>".$nomina_trab."</td>";

	 					echo "<td align=left><font size=3> Departamento: <b>".$deptoTrab."</td>";

	 					echo "<td align=left><font size=3> Cargo: <b>".$cargoTrab."</td>";
	 				echo "</tr>";
	 			echo "</table>";

	 			//echo "<table border=0 align='center' width='900'>";
				echo "<table border=1 align='center'>";
	 				echo "<tr>";

	 					echo "<td   align=left><font size=3> Fecha de Ingreso: <b><input type = 'text' name = 'fechai' size = '10' maxlength = '10' value = '".mostrar_fecha($row['fechai'])."'></td>";

	 					echo "<td  align=right><font size=3>Sueldo Básico Mensual: <b><input type = 'text' name = 'sueldo_mes' size = '10' maxlength = '10' value = '".($row['smes'])."'</td>";

						echo "<td  align=right><font size=3>Sueldo Diario para Liquidación: <input type = 'text' name = 'salario_liquid_diario' size = '10' maxlength = '10' value = '".number_format($sueldoLiqDiario,2,'.','')."'></td>";

	 				echo "</tr>";


	 				echo "<tr>";
	 					echo "<td   align=left><font size=3> Fecha de Retiro: <b><input type = 'text' name = 'fechae' size = '10' maxlength = '10' value = '".mostrar_fecha($row['fechae'])."'></td>";

	 					echo "<td align=right><font size=3>Salario Promedio Mensual:<b> ".($row['sector']=='2000'?number_format(($mon03),2,'.',''):$mon04)."</td>";



						echo "<td  align=right><font size=3>Salario Integral Diario <input type = 'text' name = 'salario_integral' size = '10' maxlength = '10' value = '".$salarInteg."'></td>";

	 				echo "</tr>";

	 				echo "<tr>";

	 					echo "<td align=left><font size=3> Antigüedad: <b>";
	 					$fec1=$row['fechai'];
	 					$fec2=$row['fechae'];
	 					$cdias  = calcular_dias($fec1,$fec2);
	 					$tdias  = calcular_dias($fec1,$fec2);
	 					$cmeses =0;
	 					$canos  =0;
	 					if ($cdias>=30) {
	 						$cmeses = ($cdias - ($cdias % 30>0 ? $cdias % 30 : 0) ) / 30;
	 						$cdias = $cdias - ($cmeses * 30);

	 						if ($cmeses>=12) {
	 							$canos = ($cmeses - ($cmeses % 12>0 ? $cmeses % 12 : 0) ) / 12;
	 							$cmeses = $cmeses - ($canos * 12);
	 						}
	 					}
	 					$antiguedad  =(mostrar_antiguedad(1,$fec1,$fec2))." A&ntilde;os, ";
						$antig_anos = mostrar_antiguedad(1,$fec1,$fec2);
	 								$antiguedad .=(mostrar_antiguedad(2,$fec1,$fec2))." Meses, ";
									$antig_meses = mostrar_antiguedad(2,$fec1,$fec2);
	 									$antiguedad .=(mostrar_antiguedad(3,$fec1,$fec2))." D&iacute;as ";
										$antig_dias = mostrar_antiguedad(3,$fec1,$fec2);
	 					echo $antiguedad."</td>";
						$antig_total_meses = $antig_anos*12 + $antig_meses ;

						///echo "antiguedad total en meses: ".$antig_total_meses;
						///echo "</br>";
						///echo "multiplo Antig meses: ".($antig_meses)%3;
							///echo "</br>";
							///echo "Antiguedad dias (llevado a Meses)".$antig_dias/30;

						////Calculo del Metodo C para prestaciones_pagar
						if($antig_meses >= 6){
							$dias_metodoc_meses = 30 ;
						}
						if ($antig_anos >= 1 ) {
							$dias_metodoc_anos = 30 * $antig_anos;
						}

						$dias_metodo_c = $dias_metodoc_meses + $dias_metodoc_anos ;
						///echo "</br>";
						///echo "dias_metodo_c: ".	$dias_metodo_c ;

						////Calculo si tiene dias adicionales del Ultimo trimestre
						if ($antig_total_meses>=3)
						{
							if($antig_meses%3==0 && $antig_dias/30==0)
							{
							$dias_adic_ult_trim = 0;
							}else
								{
									$dias_adic_ult_trim = 15;
								}
						}

						///echo "</br>";
						///echo "Dias Adic Ult Trim: ".	$dias_adic_ult_trim ;

						echo "<td align=right><font size=3>Salario para liquidación: <input type = 'text' name = 'salario_liquid' size = '10' maxlength = '10' value = '".number_format($sueldoLiq,2,'.','')."'></td>";


						echo "<td align = 'right'><font size=3>Valor diario de Cestaticket: <input type = 'text' name = 'valor_dia_cestatic' size = '10' maxlength = '10' value = '".$valorDiarCesta."'></td>";



	 				echo "</tr>";

	 				echo "<tr>";

	 					echo "<td><font color='blue'>Tipo de Egreso </font><select name = 'tipoe'>
	 					<option value='0' ".($rowx['tipoe']==0?'selected':'').">Renuncia
	 					<option value='1' ".($rowx['tipoe']==1?'selected':'').">Renuncia Doble
	 					<option value='2' ".($rowx['tipoe']==2?'selected':'').">Finalizaci&oacute;n de Contrato
	 					<option value='3' ".($rowx['tipoe']==3?'selected':'').">Despido Justificado
	 					<option value='4' ".($rowx['tipoe']==4?'selected':'').">Despido Injustificado
	 					<option value='5' ".($rowx['tipoe']==5?'selected':'').">Acuerdo entre las partes
						<option value='6' ".($rowx['tipoe']==6?'selected':'').">Desincorporacion Aprendiz INCES
	 					</select></td>";

						echo "<td>Intereses/Prestaciones en Contabilidad?
	 				<select name = 'icon' >
	 					<option value='1' ".($rowx['icon']==0||$rowx['icon']==1?'selected':'').">SI
	 					<option value='2' ".($rowx['icon']==2?'selected':'').">NO
	 				</select></td>";

					echo "<td align=right><font size=3> Tipo de Salario:<input type = 'text' name = 'sector' size = '10' maxlength = '50' value = '".($row['sector']=='2000'?'VARIABLE':'FIJO')."' readonly></td>";


	 				echo "</tr>";


	 				echo "<tr>";

	 					echo "<td colspan=4 align = 'left'><font color='blue'>Fecha de Pago (ddmmaaaa):</font>";

	 					echo "<align = 'left'>";
	 					$valor = (unir_fecha($rowx['fecha_pago'])=='00000000'?'':unir_fecha($rowx['fecha_pago']));//Fecha de pago
	 					escribe_formulario_fecha_modifica("fecha_pago","entrada",$valor);
	 					echo "</td>";


	 				echo "</tr>";

	 				echo "<tr>";
	 					echo "<td colspan=4 align = 'center' width='900'> <h3>VACACIONES</h3></td>";
	 				echo "</tr>";

					echo "<tr>";
	 					echo "<td align = 'right'>Fecha para inicio de Vacaciones: <input type = 'text' name = 'fecha_ini_vac' size = '10' maxlength = '10' value = '".mostrar_fecha($fec1)."'></td>";

							$VacaVencidas = (mostrar_antiguedad(1,$fec1,$fec2));
	 					echo "<td align = 'right'>Periodos de Vacaciones vencidas: <input type = 'text' name = 'vacvenc' size = '3' maxlength = '10' value = '".$VacaVencidas."'></td>";

						echo "<td align = 'right'>Periodos de Vacaciones Pendientes: <input type = 'text' name = 'vacpend' size = '3' maxlength = '10' value = '".($VacaVencidas-$vacacionesPagadas)."'></td>";
	 				echo "</tr>";

					echo "<tr>";
	 					echo "<td align = 'right'>Fecha Corte para Vacaciones: <input type = 'text' name = 'fecha_corte_vac' size = '10' maxlength = '10' value = '".mostrar_fecha($fec2)."'></td>";

						echo "<td align = 'right'>Periodos de Vacaciones Pagados: <input type = 'text' name = 'vacpagad' size = '3' maxlength = '10' value = '".($vacacionesPagadas==''?0:$vacacionesPagadas)."'></td>";
	 				echo "</tr>";

	 				echo "</br></br>";
					
					$vacaPendientes = $VacaVencidas-$vacacionesPagadas ;
					
					$consultaVacAdic = mysqli_query($enlace,"select dias_pagar from dias_vacacion_pagar_liq where antiguedad_anos='".$VacaVencidas."' and vac_pendientes='".	$vacaPendientes."' ");
							$rowVacA=mysqli_fetch_array($consultaVacAdic);
							$dias_adic_vac_pend=$rowVacA['dias_pagar'];
							$dias_adic_vac_pend = ($antig_anos>15?(15*$vacaPendientes):$dias_adic_vac_pend);
							
							$total_dias_vac_pend = $vacaPendientes*15 + $dias_adic_vac_pend ;
							$total_dias_bonovac_pend = $vacaPendientes*35 + $dias_adic_vac_pend ;
							//$valor_total_dias_vac_pend = $total_dias_vac_pend*$monVac ;
					
					echo "<tr>";
	 					echo "<td align = 'right'>DIAS VACACIONES PEND.(ART-190 LOTTT): <input type = 'text' name = 'total_dias_vac_pend' size = '10' maxlength = '10' value = '".$total_dias_vac_pend."'></td>";

						echo "<td align = 'right'>DIAS BONO VACAC. PEND.(inc. ART-192 LOTTT): <input type = 'text' name = 'total_dias_bonovac_pend' size = '3' maxlength = '10' value = '".$total_dias_bonovac_pend."'></td>";
	 				echo "</tr>";

	 				echo "<tr>";
	 					echo "<td colspan=4 align = 'center' width='900'> <h3>UTILIDADES</h3></td>";
	 				echo "</tr>";

	 				echo "<tr>";
	 					echo "<td align = 'right'>Fecha inicio para Utilidades: <input type = 'text' name = 'fecha_ini_uti' size = '10' maxlength = '10' value =' ".mostrar_fecha($fechaInicioUtilidades)."'</td>";

	 					echo "<td align = 'right'>Dias de Antiguedad para Utilidades: <input type = 'text' name = 'dias_antiguti' size = '3' maxlength = '10' value =' ".$DiasUtilidad."'</td>";

						echo "<td align = 'right'>Dias Utilidades a pagar: <input type = 'text' name = 'dias_utilpend' size = '3' maxlength = '10' value ='".$dias_util_pagar."'</td>";
	 				echo "</tr>";

	 				echo "<tr>";
	 					echo "<td align = 'right'>Fecha Corte para Utilidades: <input type = 'text' name = 'fecha_corte_util' size = '10' maxlength = '10' value ='".mostrar_fecha($fecha2)."'</td>";

						echo "<td align = 'right'>Salarios Devengados para Utilidades: <input type = 'text' name = 'devengado_ano' size = '3' maxlength = '10' value ='".$devengado_ano."'</td>";

	 				echo "</tr>";

					echo "<tr>";
						//echo "<td colspan=4 align = 'right' > <font color=#DD0044>Adelanto de Utilidades Pagado: </font><input type = 'text' name = 'adeuti' size = '10' maxlength = '50' value = '".$AdelantoUtilidad."' ></td>"; ////Para cuendo se han paghado ya las utilidades y se retira el trabajador despues (ej. en diciembre)
						
						echo "<td colspan=4 align = 'right' > <font color=#DD0044>Adelanto de Utilidades Pagado: </font><input type = 'text' name = 'adeuti' size = '10' maxlength = '50' value = '".($rowx['adeuti'])."' ></td>";
						
					echo "</tr>";

	 				echo "</br>";

 					echo "<tr>";
	 					echo "<td colspan=4 align = 'center'> <h3>PRESTACIONES POR ANTIGÜEDAD EN GARANTIA Art 142 LOTTT</h3></td>";
	 				echo "</tr>";

	 				echo "<tr>";
						echo "<td align = 'right'>Fecha para inicio de Prestaciones: <input type = 'text' name = 'fecha_ini_prestac' size = '10' maxlength = '10' value = '".mostrar_fecha($fec1)."'></td>";

						///// Aqui determino los dias de prestaciones cuando el trabajador tenga menos de 3 meses de antigüedad
								if($antig_total_dias>90)///Tiene 3 meses o más
									{
									$diasPrestaA = $diasPrestaA;
									$montoPrestaA = $montoPrestaA;
									}elseif( $antig_total_dias > 60 && $antig_total_dias <= 90 )///Tiene mas de 2 meses pero menos de 3 (le tocan 15 días)
										{
										$diasPrestaA = 15;
										$montoPrestaA = 15 * $salarInteg ;
										
										}elseif( $antig_total_dias > 30 && $antig_total_dias <= 60 )///Tiene mas de 1 meses pero menos de 2 (le tocan 10 días)
											{
											$diasPrestaA = 10;
											$montoPrestaA = 10 * $salarInteg ;
											
											}elseif( $antig_total_dias > 0 && $antig_total_dias <= 30 )///Tiene menos de 1 mes (le tocan 5 días)
											{
											$diasPrestaA = 5;
											$montoPrestaA = 5 * $salarInteg ;
											
											}

	 					echo "<td align = 'right'>Días de Prestaciones lit a:<input type = 'text' name = 'prestac_liter_a' size = '3' maxlength = '10' value = ' ".$diasPrestaA."'</td>";

	 					echo "<td align = 'right'>Monto  de Prestaciones lit a (Bs.):<input type = 'text' name = 'monto_prestac_liter_a' size = '10' maxlength = '10' value = ' ".$montoPrestaA." '</td>";
	 				echo "</tr>";

	 				echo "<tr>";
						echo "<td align = 'right'>Fecha Corte para Prestaciones: <input type = 'text' name = 'fecha_corte_prestac' size = '10' maxlength = '10' value = '".mostrar_fecha($fec2)."'></td>";

	 					echo "<td align = 'right'>Días de Prestaciones lit b: <input type = 'text' name = 'prestac_liter_b' size = '3' maxlength = '10' value = ' ".$diasPrestaB."'</td>";

	 					echo "<td align = 'right'>Monto  de Prestaciones lit b (Bs.): <input type = 'text' name = 'monto_prestac_liter_b' size = '10' maxlength = '10' value = ' ".$montoPrestaB." '</td>";
	 				echo "</tr>";

					echo "<tr>";
						echo "<td align='right'>Antigüedad:  ";
				 		echo $antiguedad."</td>";

						echo "<td align = 'right'>Dias Art. 142 lit. c LOTTT: <input type = 'text' name = 'dias_metodoc' size = '5' maxlength = '10' value = ' ".$dias_metodo_c." '</td>";
						////calculo de metodo c


						echo "<td align = 'right'>Intereses Sobre prestaciones:  (Bs.): <input type = 'text' name = 'interes_prestac' size = '10' maxlength = '10' value = ' ".$interesesPresta." '</td>";

					echo "</tr>";

	 				echo "<tr>";
						echo "<td>";
						///Celda en blanco
						echo "</td>";

						echo "<td align = 'right'>Dias Adic. Ultimo Trimestre: <input type = 'text' name = 'dias_ult_trim' size = '5' maxlength = '10' value = ' ".$dias_adic_ult_trim." '</td>";

						echo "<td align = 'right' > <font color=#DD0044>Anticipos de Prestaciones Pagados: </font><input type = 'text' name = 'adel_prestac' size = '10' maxlength = '50' value = '".$prestacAntic."' ></td>";

	 				echo "</tr>";

					echo "<tr>";
	 					echo "<td align = 'center'> <h3>ASIGNACIONES</h3></td>";

						echo "<td align = 'center'> <h3>DEDUCCIONES</h3></td>";

	 					echo "<td align = 'center'> <h3>SEG. SOCIAL Y PARAF.</h3></td>";
	 				echo "</tr>";

					echo "<tr>";

						echo "<td align = 'right' > <font color= blue>D&iacute;as Pendientes a Pagar </font>";
						echo "<width = '10'> <select name = 'dias'>
						<option ".($rowx['dias']==0?'selected':'').">0<option ".($rowx['dias']==1?'selected':'').">1<option ".($rowx['dias']==2?'selected':'').">2<option ".($rowx['dias']==3?'selected':'').">3
						<option ".($rowx['dias']==4?'selected':'').">4<option ".($rowx['dias']==5?'selected':'').">5<option ".($rowx['dias']==6?'selected':'').">6<option ".($rowx['dias']==7?'selected':'').">7
						<option ".($rowx['dias']==8?'selected':'').">8<option ".($rowx['dias']==9?'selected':'').">9<option ".($rowx['dias']==10?'selected':'').">10<option ".($rowx['dias']==11?'selected':'').">11
						<option ".($rowx['dias']==12?'selected':'').">12<option ".($rowx['dias']==13?'selected':'').">13<option ".($rowx['dias']==14?'selected':'').">14<option ".($rowx['dias']==15?'selected':'').">15
						<option ".($rowx['dias']==16?'selected':'').">16
						</select>  </td>";

						echo "<td align = 'right' > <font color=#DD0044>D&iacute;as pagados no laborados: </font> <select name = 'dpnl'>
	 							<option ".($rowx['dpnl']==0?'selected':'').">0
								<option ".($rowx['dpnl']==1?'selected':'').">1
								<option ".($rowx['dpnl']==2?'selected':'').">2
								<option ".($rowx['dpnl']==3?'selected':'').">3
	 							<option ".($rowx['dpnl']==4?'selected':'').">4
								<option ".($rowx['dpnl']==5?'selected':'').">5
								<option ".($rowx['dpnl']==6?'selected':'').">6
								<option ".($rowx['dpnl']==7?'selected':'').">7
	 							<option ".($rowx['dpnl']==8?'selected':'').">8
								<option ".($rowx['dpnl']==9?'selected':'').">9
								<option ".($rowx['dpnl']==10?'selected':'').">10
								<option ".($rowx['dpnl']==11?'selected':'').">11
	 							<option ".($rowx['dpnl']==12?'selected':'').">12
								<option ".($rowx['dpnl']==13?'selected':'').">13
								<option ".($rowx['dpnl']==14?'selected':'').">14
								<option ".($rowx['dpnl']==15?'selected':'').">15
	 							</select> </td>";
						echo "<td align = 'right' > <font color=#DD0044>Nro. Semanas del SSO: </font> <select name = 'semana'>
			 						<option ".($rowx['semana']==0?'selected':'').">0
									<option ".($rowx['semana']==1?'selected':'').">1
									<option ".($rowx['semana']==2?'selected':'').">2
									<option ".($rowx['semana']==3?'selected':'').">3
			 						<option ".($rowx['semana']==4?'selected':'').">4
									<option ".($rowx['semana']==5?'selected':'').">5
			 						</select></td>";

					echo "</tr>";

					echo "<tr>";
						echo "<td align = 'right' > <font color= blue>D&iacute;as Cesta Ticket a Pagar </font>";
		 				echo "<width = '10'  > <select name = 'diast'>
		 						<option ".($rowx['diast']==0?'selected':'').">0<option ".($rowx['diast']==1?'selected':'').">1
		 						<option ".($rowx['diast']==2?'selected':'').">2<option ".($rowx['diast']==3?'selected':'').">3
		 						<option ".($rowx['diast']==4?'selected':'').">4<option ".($rowx['diast']==5?'selected':'').">5
		 						<option ".($rowx['diast']==6?'selected':'').">6<option ".($rowx['diast']==7?'selected':'').">7
		 						<option ".($rowx['diast']==8?'selected':'').">8<option ".($rowx['diast']==9?'selected':'').">9
		 						<option ".($rowx['diast']==10?'selected':'').">10<option ".($rowx['diast']==11?'selected':'').">11
		 						<option ".($rowx['diast']==12?'selected':'').">12<option ".($rowx['diast']==13?'selected':'').">13
		 						<option ".($rowx['diast']==14?'selected':'').">14<option ".($rowx['diast']==15?'selected':'').">15
		 						<option ".($rowx['diast']==16?'selected':'').">16<option ".($rowx['diast']==17?'selected':'').">17
		 						<option ".($rowx['diast']==18?'selected':'').">18<option ".($rowx['diast']==19?'selected':'').">19
		 						<option ".($rowx['diast']==20?'selected':'').">20<option ".($rowx['diast']==21?'selected':'').">21
		 						<option ".($rowx['diast']==22?'selected':'').">22<option ".($rowx['diast']==23?'selected':'').">23
		 						<option ".($rowx['diast']==24?'selected':'').">24<option ".($rowx['diast']==25?'selected':'').">25
		 						<option ".($rowx['diast']==26?'selected':'').">26<option ".($rowx['diast']==27?'selected':'').">27
		 						<option ".($rowx['diast']==28?'selected':'').">28<option ".($rowx['diast']==29?'selected':'').">29
		 						<option ".($rowx['diast']==30?'selected':'').">30
		 						</select>  </td>";

						echo "<td   align = 'right' > <font color=#DD0044>Deposito en FIDEICOMISO (Bs.): </font> <input type = 'text' name = 'fideicomiso' size = '10' maxlength = '50' value = '".($rowx['fideicomiso'])."' ></td>";

						echo "<td  align = 'right' > <font color=#DD0044> FAOV 1% trabajador:</font> <select name = 'faov_1' >
						<option ".($rowx['faov_1']==0?'selected':'').">0
						<option ".($rowx['faov_1']==1?'selected':'').">1
		 				</select></td>";

					echo "</tr>";

					echo "<tr>";
						echo "<td align = 'right' > <input type='text' name='ccon01' size = '25' maxlength = '50' value='".($noentro==0?$rowx['ccon01']:'Otras Asignaciones')."'> ";
						echo "<align = 'right' > <input type = 'text' name = 'ncon01' size = '10' maxlength = '50' value = '".($noentro==0?$rowx['ncon01']:0)."' ></td>";

						echo "<td  align = 'right' > <input type='text' name='ccon02' size = '25' maxlength = '50' value='".($noentro==0?$rowx['ccon02']:'Otras Deducciones')."'><input type = 'text' name = 'ncon02' size = '10' maxlength = '50' value = '".($noentro==0?$rowx['ncon02']:0)."' ></td>";

						echo "<td  align = 'right' > <font color=#DD0044> INCES 0.5%:</font> <select name = 'inces' >
		 					<option value='1' ".($noentro==0||$rowx['inces']==1?'selected':'').">SI
		 					<option value='2' ".($rowx['inces']==2?'selected':'').">NO

		 				</select></td>";

					echo "</tr>";

						echo "<td>";
						//Celda en blanco
						echo "</td>";

					//============ datos de prestamos
						$consulta=mysqli_query($enlace, "select sum(saldo) as total from prestamo where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
						$row=mysqli_fetch_array($consulta);
						$saldoprestamo=$row['total'];


								echo "<td align = 'right' > <font color=#DD0044>Saldo Pr&eacute;stamo pendiente (Bs): </font><input type = 'text' name = 'prestamo' size = '10' maxlength = '50' value = '".number_format($saldoprestamo,2,'.','')."' ></td>";


						echo "<td align = 'right' > <font color=#DD0044> % ISLR: </font><input type = 'text' name = 'islr'  size = '3' maxlength = '3' value = '".($noentro==0?$rowx['islr']:$porc_islr)."' > </td>";

											echo "</tr>";
					///////////////////
					echo "</tr>";

						echo "<td>";
						//Celda en blanco
						echo "</td>";

								//============ datos de intereses
						$consulta=mysqli_query($enlace, "select sum(monto) as total from prestacion_interes where cedula='".$cedula."' and id='".$_SESSION['id_validar']."' ");
						$row=mysqli_fetch_array($consulta);
						$saldointeres=$row['total'];


								echo "<td align = 'right' > <font color=#DD0044>Intereses Prestac Pagados (Bs): </font><input type = 'text' name = 'interes_pagado' size = '10' maxlength = '50' value = '".($icontab==2?0:number_format($saldointeres,2,'.',''))."' ></td>";


						echo "<td>";
						//Celda en blanco
						echo "</td>";

					echo "</tr>";

 				echo "</table>";
	 				echo "</br>";


		echo "<table rules=none border=0 cellpadding=2 cellspacing=0 align='center' style='border-width: 0px; border-color: 75263C;border-style: solid;'>";

		echo "<tr>";
			echo "<td align = 'center'>";
				echo "<input type = 'submit' value = 'Grabar Datos de Liquidaci&oacute;n'>";
			echo "</td>";
		echo "</tr>";
		echo "</table>";

	echo "</form>";
	//FIN DE TODA LA TABLA
	if ($mensaje!='') echo "<br><center><font style='color:RED; font-size:1em;' face='Verdana' ><b>".$mensaje."</b></font></center>";

	if ($noentro==0) {
		echo "<br><center><font color=#DD0044><b>NOTA:</b> Debe ingresar las <u>Asignaciones y deducciones</u> y Grabar para calcular la Liquidaci&oacute;n.</font></center>";
	}

echo "<br><br><div id='resultado'></div>";


echo "<br><br><br><br></body>";
echo "</html>";
}

mysqli_close($enlace);
?>
